
@mixin community {
}


@mixin transform($transforms, $important:false) {
	@if $important == true {
		-ms-transform: $transforms !important;
		-webkit-transform: $transforms !important;
		transform: $transforms !important;
	} @else {
		-ms-transform: $transforms;
		-webkit-transform: $transforms;
		transform: $transforms;
	}
}

@mixin community-transition-duration($important:false, $transition-duration: $default-transition-duration) {
	@if $important == true {
		-webkit-transition-duration: $transition-duration !important;
		transition-duration: $transition-duration !important;
	} @else {
		-webkit-transition-duration: $transition-duration;
		transition-duration: $transition-duration;
	}
}

@mixin border-radius($r:4px) {
	-webkit-border-radius: $r;
	   -moz-border-radius: $r;
	        border-radius: $r;
}

@mixin community-box-shadow($shadow: 0 0 4px 0 rgba(0,0,0,0.25)) {
	-webkit-box-shadow: $shadow;
	   -moz-box-shadow: $shadow;
	        box-shadow: $shadow;
}

@mixin border-box() {
	-webkit-box-sizing: border-box;
	   -moz-box-sizing: border-box;
	        box-sizing: border-box;
}

@mixin appearance($a:none) {
	-webkit-appearance: $a;
	   -moz-appearance: $a;
	    -ms-appearance: $a;
	     -o-appearance: $a;
	        appearance: $a;
}

@mixin reset-native-button {
	@include appearance(none);
	border: none;
	background: transparent;
	padding: 0;
	margin: 0;
}

@mixin icon-only-native-button {
	@include reset-native-button;
	
	.v-nativebutton-caption {
		display: none;
	}
}





/* Fade-in */
@-webkit-keyframes fade-in {
	0% {opacity: 0;}
	100% {opacity: 1;}
}

@-moz-keyframes fade-in {
	0% {opacity: 0;}
}

@-ms-keyframes fade-in {
	0% {opacity: 0;}
}

@-o-keyframes fade-in {
	0% {opacity: 0;}
}


@mixin fade-in {
	-webkit-animation: fade-in 80ms ease-out;
	-moz-animation: fade-in 80ms ease-out;
	-ms-animation: fade-in 80ms ease-out;
	-o-animation: fade-in 80ms ease-out;
	animation: fade-in 80ms ease-out;
	opacity: 1;
}



/* Pull down */
@-webkit-keyframes pull-down {
	0% {-webkit-transform: translateY(-50%);}
}
@-moz-keyframes pull-down {
	0% {-moz-transform: translateY(-50%);}
}
@-ms-keyframes pull-down {
	0% {-ms-transform: translateY(-50%);}
}
@-o-keyframes pull-down {
	0% {-o-transform: translateY(-50%);}
}

/* Fonts */

@mixin font-paragraph-m() {
  font-size: 16px;
  letter-spacing: 0.02em;
}

@mixin font-paragraph-s() {
  font-size: 14px;
  letter-spacing: 0.02em;
}

@mixin font-paragraph-xs() {
  font-size: 12px;
  letter-spacing: 0.02em;
}

@mixin font-heading-m() {
  font-size: 18px;
  letter-spacing: 0.02em;
  text-transform: uppercase;
}

@mixin font-heading-s() {
  font-size: 16px;
  letter-spacing: 0.02em;
  text-transform: uppercase;
}

@mixin font-icon-m {
  font-family: community;
  font-size: 40px;
  font-style: normal;
}

@mixin font-icon-s {
  font-family: community;
  font-size: 24px;
  font-style: normal;
}
